# Class CIM_RealizesExtent
extends CIM_Realizes

StorageExtents can be realized by PhysicalComponents. For example, disks or tapes are realized by PhysicalMedia. Memory is realized by PhysicalMemory. This relationship of Extents to PhysicalComponents is made explicit by the RealizesExtent association. In addition, the StartingAddress of the StorageExtent on the Component is specified here.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_Realizes
|
+--CIM_RealizesExtent

## Direct Known Subclasses

CIM_RealizedOnSide
CIM_RealizesAggregatePExtent
CIM_RealizesDiskPartition
CIM_RealizesPExtent
CIM_RealizesTapePartition

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | StorageExtents can be realized by PhysicalComponents. For example, disks or tapes are realized by PhysicalMedia. Memory is realized by PhysicalMemory. This relationship of Extents to PhysicalComponents is made explicit by the RealizesExtent association. In addition, the StartingAddress of the StorageExtent on the Component is specified here.
UMLPackagePath | string | CIM::Device::StorageExtents
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
StartingAddress | uint64 |
Description | string | The starting address on the PhysicalComponent where the StorageExtent begins. Ending address of the StorageExtent is determined using the NumberOfBlocks and Block Size properties of the StorageExtent object.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_RealizesExtent | CIM_PhysicalComponent
Dependent | CIM_RealizesExtent | CIM_StorageExtent

## Class Methods